# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2011 Akretion LDTA (<http://www.akretion.com>).
#    @author Raphaël Valyi
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from tools.translate import _
from osv import fields, osv

from datetime import datetime
from dateutil.relativedelta import relativedelta
from lxml import etree


class product_template(osv.osv):
    _inherit = "product.template"

    _columns = {
        'resource_usage': fields.selection([('direct', 'Direct'), ('indirect', 'Indirect')], string="Usage", help="Indirect types have no availability check")
    }

    _defaults = {
        'resource_usage': lambda *a: 'direct',
    }

product_template()
